/**
 *
 * @author show
 */
public class Window {
    protected int size, wp;
    static final int MAX_SIZE=30;
    protected Roll[] rolls = new Roll[MAX_SIZE];

    protected void init() {
        for (int i=0; i<MAX_SIZE; i++) {
            rolls[i] = new Roll(3,4);
        }
        wp = 0;
    }

    public Window(int size) {
        this.size = size;
        init();
    }

    public int getCount(int point) {
        int count=0;
        for (int i=1; i<=size; i++) {
            count += rolls[(wp+MAX_SIZE-i)%MAX_SIZE].count(point);
        }
        return count;
    }

    public void push(Roll roll) {
        rolls[wp] = roll;
        wp = (wp+1)%MAX_SIZE;
    }
}
