/**
 *
 * @author show
 */
public class Roll {
    protected int die1, die2;

    public Roll(int d1, int d2) {
        die1 = d1;
        die2 = d2;
    }

    public int getDie1() {
        return die1;
    }

    public int getDie2() {
        return die2;
    }

    public int count(int point) {
        switch (point) {
            case 4:
                return (die1 <= 3) && (die2 <= 3) ? 4 :
                       (die1 >= 4) && (die2 >= 4) ? -4 :
                       0;
            case 5:
                return (die1 >= 5) && (die2 >= 5) ? -4:
                       (die1 >= 5) || (die2 >= 5) ? -1:
                       2;
            case 6:
                return (die1 == 6) && (die2 == 6) ? -5:
                       (die1 == 6) || (die2 == 6) ? -2:
                       1;
            case 8:
                return (die1 == 1) && (die2 == 1) ? -5:
                       (die1 == 1) || (die2 == 1) ? -2:
                       1;
            case 9:
                return (die1 <= 2) && (die2 <= 2) ? -4:
                       (die1 <= 2) || (die2 <= 2) ? -1:
                       2;
            case 10:
                return (die1 <= 3) && (die2 <= 3) ? -4 :
                       (die1 >= 4) && (die2 >= 4) ? 4 :
                       0;
            default:
                return 0;
        }
    }

    public boolean isSeven() {
        return (total() == 7);
    }

    public int total() {
        return die1 + die2;
    }
}
